Cloady Docs
API ReferenceEndpointsWorkspaces

Read live health for every service

Returns one entry per running service of the workspace's apps in the env: CPU and memory against their limits, ready replicas, restarts in the last 24 hours, request rate, error rate and p95 response time for services the app's address routes to, and an hour of CPU and request-rate history.

GET
/api/workspaces/{workspaceSlug}/monitor
AuthorizationBearer <token>

Personal API token (cldy_…)

In: header

Path Parameters

workspaceSlug*string

Query Parameters

env?string

Value in

  • "production"
  • "preview"
  • "development"
region?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/workspaces/string/monitor"
{  "services": [    {      "app": "string",      "service": "string",      "cpu": 0,      "cpuLimit": 0,      "memory": 0,      "memoryLimit": 0,      "ready": 0,      "restarts": 0,      "rps": 0,      "errorRate": 0,      "p95": 0,      "cpuTrend": [        0      ],      "rpsTrend": [        0      ]    }  ]}